[@rxap/config](../wiki/globals) / Leaves

# Type Alias: Leaves\<T, D\>

> **Leaves**\<`T`, `D`\>: \[`D`\] *extends* \[`never`\] ? `never` : `T` *extends* `object` ? `{ [K in keyof T]-?: Join<K, Leaves<T[K], Prev[D]>> }`\[keyof `T`\] : `""`

Defined in: [types.ts:20](https://gitlab.com/rxap/packages/-/blob/f78a82a9c44bbd717ad98e46a037f325ee3f7f09/packages/angular/config/src/lib/types.ts#L20)

## Type Parameters

• **T**

• **D** *extends* `number` = `10`
